package uk.co.rossbinden.transferencevoid.component

import com.badlogic.ashley.core.ComponentMapper

val RENDERABLE = ComponentMapper.getFor(RenderableComponent::class.java)
val BODY = ComponentMapper.getFor(BodyComponent::class.java)
val SPEED = ComponentMapper.getFor(SpeedComponent::class.java)
val SPAWN = ComponentMapper.getFor(SpawnComponent::class.java)
val RAY = ComponentMapper.getFor(RayComponent::class.java)
val DATA = ComponentMapper.getFor(DataComponent::class.java)
val SOCKET = ComponentMapper.getFor(SocketComponent::class.java)
val TIMER = ComponentMapper.getFor(TimerComponent::class.java)
val GOAL = ComponentMapper.getFor(GoalComponent::class.java)